#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

int main() {
    long long k;
    cin >> k;

    string k_str = to_string(k);

    reverse(k_str.begin(), k_str.end());

    k_str.erase(0, min(k_str.find_first_not_of('0'), k_str.size() - 1));

    cout << k_str << endl;

    return 0;
}